Bug 867198 - oo-admin-ctl-gears lacks help or man page
oo-admin-ctl-gears lacks help or man page
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 23:11 EDT by Luke Meyer
Modified: 2015-05-14 19:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Meyer 2012-10-16 23:11:06 EDT
Description of problem:
https://github.com/openshift/origin-server/blob/master/node-util/bin/oo-admin-ctl-gears
No description of this tool. Probably supposed to be self-evident but... it's not unless you dig through code a bit.

Actual results:

Usage: $0 {startall|stopall|status|restartall|condrestartall}

Expected results:

Something describing all of the working options and what they do.
What's the difference between startall and waited-startall?
Between stopall+startall and restartall?
Between restartall and condrestartall?
Experimental or obsolete options marked or removed (startcart??)

You know, while I'm at it, why not add a "list" option to just show all gears?
Comment 1 Jhon Honce 2012-10-26 16:52:52 EDT
Fixed in https://github.com/openshift/origin-server/pull/776
Comment 2 Chandrika Gole 2012-10-29 19:49:51 EDT
vefified on devenv_2401

Note You need to log in before you can comment on or make changes to this bug.